Subject: Re: lockd specs or source? <[email-masked]>

From: "Perry E. Metzger" <[email-masked]>

I'll point out that Sun has never produced an actual properly
functioning lockd. I used to just curse at them, but I've heard rumors
to the effect that the specified functionality is provably impossible
to achieve in a distributed environment...

Perry

Niklas Hallqvist says:
> Excuse me if this is somewhat out of context (but not entirely
> as NetBSD could make use of an lockd implementation).
> 
> Does anyone know where I can get the specs or source for the
> NFS lock protocol (you know, what lockd ordinarily implements).
> If you know of any hint where I can get such info, please answer
> me ASAP as I'm meeting a deadline where I must've implemented
> at least a dummy lockd, i.e. just accepting lock requests
> without doing anything.
> 
> Niklas